<div class="container">
  <div class="row justify-content-center">
    <a class="unipalIntro" [routerLink]="['/whats-unipal/']">What is Unipal?</a>
  </div>
  <div class="row mx-auto box login-margins" [ngClass]="{ 'right-panel-active': open }" id="box">
    <div class="form-box sign-up-box">
      <form
        [formGroup]="formGroup"
        (ngSubmit)="formGroup.valid && createAccount(formGroup.value)"
        novalidate
      >
        <h1>Create Account</h1>
        <span>and use your email for registration</span>
        <input
          type="text"
          id="first_name"
          placeholder="First name"
          name="firstName"
          required
          formControlName="firstName"
        />
        <input
          type="text"
          id="last_name"
          placeholder="Last name"
          name="lastName"
          required
          formControlName="lastName"
        />
        <input
          type="text"
          id="username"
          placeholder="Username"
          name="username"
          required
          formControlName="username"
        />
        <input
          type="email"
          id="email"
          placeholder="Email"
          name="email"
          pattern="^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$"
          required
          formControlName="email"
        />
        <input
          class="invalid password-confirm-button"
          type="password"
          id="password"
          placeholder="Password"
          name="password"
          required
          formControlName="password"
        />
        <input type="password" id="password" placeholder="Confirm password" required />
        <button type="submit">Sign up</button>
      </form>
    </div>
    <div class="form-box sign-in-box">
      <form>
        <h1>Sign in</h1>
        <span>and use your account</span>
        <input
          type="email"
          id="email"
          placeholder="Email"
          name="email"
          [(ngModel)]="email"
          required
        />
        <input
          type="password"
          id="password"
          placeholder="Password"
          name="password"
          required
          [(ngModel)]="password"
        />
        <a class="forgotPassword" [routerLink]="['/forgot-password/']">Forgot password?</a>
        <button (click)="login()">Log in</button>
      </form>
    </div>
    <div class="overlay-box">
      <div class="overlay">
        <div class="overlay-panel overlay-left">
          <h1>Welcome Back!</h1>
          <p>To keep connected with us please login with your personal info</p>
          <button class="ghost" id="signIn" (click)="isOpen()">Sign In</button>
        </div>
        <div class="overlay-panel overlay-right">
          <h1>Hello Pal!</h1>
          <p>Enter your personal details and start your journey with us</p>
          <button class="ghost" id="signUp" (click)="isOpen()">Sign Up</button>
        </div>
      </div>
    </div>
  </div>
</div>
